# Creditsafe Connect

Creditsafe Connect API Wrapper

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'creditsafe_connect'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install creditsafe_connect

## Usage

Configure credentials using `Creditsafe.configure` block

```
Creditsafe.configure do |config|
  config.debug = ENV['CREDITSAFE_DEBUG'].present?
  config.username = ENV['CREDITSAFE_USERNAME']
  config.password = ENV['CREDITSAFE_PASSWORD']
end
```

Search for companies:
```
# by company number
Creditsafe::Models::Search.find(NUMBER)

# by any other criteria
# e.g. name
Creditsafe::Models::Search.where(name: COMPANY_NAME, pageSize: 25)
```

Report for company, by company ID:
```
Creditsafe::Models::CreditReport.for(COMPANY_ID)
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitLab at https://gitlab.com/finpoint/creditsafe_connect.

