# frozen_string_literal: true

require_relative 'lib/creditsafe/version'

Gem::Specification.new do |spec|
  spec.name          = 'creditsafe_connect'
  spec.version       = Creditsafe::VERSION
  spec.authors       = ['Nenad Petronijevic']
  spec.email         = ['nenad@finpoint.co.uk']

  spec.summary       = 'Creditsafe Connect API Wrapper'
  spec.description   = spec.summary
  spec.homepage      = 'https://gitlab.com/finpoint/creditsafe_connect'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 0.15'
  spec.add_dependency 'faraday_middleware', '~> 0.12'
  spec.add_dependency 'faraday_middleware-multi_json', '~> 0.0.6'
  spec.add_dependency 'multi_json', '~> 1.13'
  spec.add_dependency 'rainbow', '~> 3.0'

  spec.add_development_dependency 'pry-byebug', '~> 3.6'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.58'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.27'
  spec.add_development_dependency 'vcr', '~> 4.0.0'
  spec.add_development_dependency 'webmock', '~> 3.7.2'
end
